@base <https://purl.org/coscine/ap/isf/gasTungstenArcWelding/> .

@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .

@prefix dcterms: <http://purl.org/dc/terms/> .

@prefix isf: <https://purl.org/coscine/terms/isf#> .
@prefix coscineISFgasTungstenArcWelding: <https://purl.org/coscine/ap/isf/gasTungstenArcWelding#> .

<https://purl.org/coscine/ap/isf/gasTungstenArcWelding/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://isf.rwth-aachen.de/> ;
  dcterms:title  "ISF gas tungsten arc welding"@en, "ISF Wolframschutzgasschweißen"@de ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/isf/gasTungstenArcWelding/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineISFgasTungstenArcWelding:current ;
  sh:property coscineISFgasTungstenArcWelding:voltage ;
  sh:property coscineISFgasTungstenArcWelding:inertGasType ;
  sh:property coscineISFgasTungstenArcWelding:inertGasFlow ;
  sh:property coscineISFgasTungstenArcWelding:plasmaGasType ;
  sh:property coscineISFgasTungstenArcWelding:plasmaGasFlow ;
  sh:property coscineISFgasTungstenArcWelding:electrodeClass ;
  sh:property coscineISFgasTungstenArcWelding:electrodeDiameter ;
  sh:property coscineISFgasTungstenArcWelding:plasmaNozzleDiameter ;
  sh:property coscineISFgasTungstenArcWelding:weldingSpeed ;
  sh:property coscineISFgasTungstenArcWelding:weldingFillerMaterial ;
  sh:property coscineISFgasTungstenArcWelding:hotWire ;
  sh:property coscineISFgasTungstenArcWelding:gasNozzleLife ;
  sh:property coscineISFgasTungstenArcWelding:electrodeLife ;
  sh:property coscineISFgasTungstenArcWelding:workpieceMaterial ;
  sh:property coscineISFgasTungstenArcWelding:workpieceDimesion ;
  sh:property coscineISFgasTungstenArcWelding:workpieceSurfaceCondition ;
  sh:property coscineISFgasTungstenArcWelding:weldingFillerMaterialDiameter ;
  sh:property coscineISFgasTungstenArcWelding:weldingFillerMaterialSpeed ;
  sh:property coscineISFgasTungstenArcWelding:weldingFillerMaterialPosition ;
  sh:property coscineISFgasTungstenArcWelding:robot ;
  sh:property coscineISFgasTungstenArcWelding:torchMovement .

coscineISFgasTungstenArcWelding:current
  sh:path isf:current ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Current"@en, "Stromstärke"@de .

coscineISFgasTungstenArcWelding:voltage
  sh:path isf:voltage ;
  sh:order 1 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Voltage"@en, "Spannung"@de .

coscineISFgasTungstenArcWelding:inertGasType
  sh:path isf:inertGasType ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Inert gas type"@en, "Schutzgastyp"@de .

coscineISFgasTungstenArcWelding:inertGasFlow
  sh:path isf:inertGasFlow ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Inert gas flow"@en, "Schutzgasstrom"@de .

coscineISFgasTungstenArcWelding:plasmaGasType
  sh:path isf:plasmaGasType ;
  sh:order 4 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Plasma gas type"@en, "Plasmagastyp"@de .

coscineISFgasTungstenArcWelding:plasmaGasFlow
  sh:path isf:plasmaGasFlow ;
  sh:order 5 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Plasma gas flow"@en, "Plasmagasstrom"@de .

coscineISFgasTungstenArcWelding:electrodeClass
  sh:path isf:electrodeClass ;
  sh:order 6 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Electrode class"@en, "Elektrodentyp"@de .

coscineISFgasTungstenArcWelding:electrodeDiameter
  sh:path isf:electrodeDiameter ;
  sh:order 7 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Electrode diameter"@en, "Elektrodendurchmesser"@de .

coscineISFgasTungstenArcWelding:plasmaNozzleDiameter
  sh:path isf:plasmaNozzleDiameter ;
  sh:order 8 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Plasma nozzle diameter"@en, "Plasmadüsendurchmesser"@de .

coscineISFgasTungstenArcWelding:weldingSpeed
  sh:path isf:weldingSpeed ;
  sh:order 9 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Welding speed"@en, "Schweißgeschwindigkeit"@de .

coscineISFgasTungstenArcWelding:weldingFillerMaterial
  sh:path isf:weldingFillerMaterial ;
  sh:order 10 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:boolean ;
  sh:name "Welding filler material"@en, "Schweißzusatz"@de .

coscineISFgasTungstenArcWelding:hotWire
  sh:path isf:hotWire ;
  sh:order 11 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:boolean ;
  sh:name "Hot wire"@en, "Heißdraht"@de .

coscineISFgasTungstenArcWelding:gasNozzleLife
  sh:path isf:gasNozzleLife ;
  sh:order 12 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Gas nozzle life"@en, "Gasdüse Standzeit"@de .

coscineISFgasTungstenArcWelding:electrodeLife
  sh:path isf:electrodeLife ;
  sh:order 13 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Electrode life"@en, "Standzeit der Elektrode"@de .

coscineISFgasTungstenArcWelding:workpieceMaterial
  sh:path isf:workpieceMaterial ;
  sh:order 14 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Workpiece material"@en, "Werkstückmaterial"@de .

coscineISFgasTungstenArcWelding:workpieceDimesion
  sh:path isf:workpieceDimesion ;
  sh:order 15 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Workpiece dimension"@en, "Werkstückdimension"@de .

coscineISFgasTungstenArcWelding:workpieceSurfaceCondition
  sh:path isf:workpieceSurfaceCondition ;
  sh:order 16 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Workpiece surface condition"@en, "Werkstück Oberflächenbeschaffenheit"@de .

coscineISFgasTungstenArcWelding:weldingFillerMaterialDiameter
  sh:path isf:weldingFillerMaterialDiameter ;
  sh:order 17 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Welding filler material diameter"@en, "Schweißzusatz Durchmesser"@de .

coscineISFgasTungstenArcWelding:weldingFillerMaterialSpeed
  sh:path isf:weldingFillerMaterialSpeed ;
  sh:order 18 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Welding filler material speed"@en, "Schweißzusatz Geschwindigkeit"@de .

coscineISFgasTungstenArcWelding:weldingFillerMaterialPosition
  sh:path isf:weldingFillerMaterialPosition ;
  sh:order 19 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Welding filler material position"@en, "Schweißzusatz Position"@de .

coscineISFgasTungstenArcWelding:robot
  sh:path isf:robot ;
  sh:order 20 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Robot"@en, "Roboter"@de .

coscineISFgasTungstenArcWelding:torchMovement
  sh:path isf:torchMovement ;
  sh:order 21 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Torch movement"@en, "Brennerbewegung"@de .
